<nav>
<div class="body">

  <ul>
  <li><a href="#toc1">Title 1</a>
    <ul>
    <li><a href="#toc2">Title 2</a>
    </li>
    </ul>
  </li>
  </ul>

</div>
</nav>
<div class="body">

<section id="toc1">
<h1>Title 1</h1>

<p>
Text.
</p>

<section id="toc2">
<h2>Title 2</h2>

<p>
Text.
</p>
</section>
</section>
</div>
